Summary: Battleship clone
Name: ClanShip
Version: 1.0.5f
Release: 1%{?dist}
Group: Development/Languages
License: gpl
URL: http://www.sourcefiles.org/Games/Strategy/Warfare/Battleships/ClanShip-1.0.5f.zip
Source0: %{name}-%{version}.zip
Source1: %{name}.desktop
Source2: %{name}.png
Patch: clanship.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ClanLib
BuildRequires: ClanLib-devel, unzip

%description
Singleplayer Battleship clone written with ClanLib and C++

%prep
cd %_topdir/BUILD/
rm -rf %{name}-%{version}-%{release}
mkdir %{name}-%{version}-%{release}
cd %{name}-%{version}-%{release}
unzip %{SOURCE0} 
%patch -p1

%build
cd %_topdir/BUILD/%{name}-%{version}-%{release}/
make -C clanship/sources 

%install
rm -rf $RPM_BUILD_ROOT
# Creates the underlying filesystem structure 
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/resources
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cd %_topdir/BUILD/%{name}-%{version}-%{release}
# Put the binary in place
cp clanship/sources/clanship $RPM_BUILD_ROOT%{_bindir}/clanship
strip $RPM_BUILD_ROOT%{_bindir}/clanship
# and then the datafiles for the actual game
cp clanship/batship.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -r clanship/resources/*.wav $RPM_BUILD_ROOT%{_datadir}/%{name}/resources/
cp -r clanship/resources/*.tga $RPM_BUILD_ROOT%{_datadir}/%{name}/resources/
cp -r clanship/docs/* $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
# and finally, desktop entry and icon
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT%{_datadir}/applications --add-category X-Fedora %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi



%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/readme.txt
%doc %{_datadir}/doc/%{name}-%{version}/install.txt

%{_bindir}/* 
%{_datadir}/%{name}/batship.xml
%{_datadir}/%{name}/resources/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Sun Jan 25 2009 Jani Mikkonen <jani@mikkonen.biz>
  - 1.0.5f-1 Initial rpm release

